Package org.linphone.core

# Interface ConferenceScheduler

public interface ConferenceScheduler
Creates and manages conferences on a conferenceing service, and send conference
invitations to notify participants.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`ConferenceScheduler.State`
`static enum`
`ConferenceScheduler.Type`

## Method Summary

Modifier and Type
Method
Description
`void`
`addListener(ConferenceSchedulerListener listener)`
`void`
`cancelConference(ConferenceInfo conferenceInfo)`
Cancel the conference linked to the `ConferenceInfo` provided as
argument.
`Account`
`getAccount()`
Gets the `Account` that is used for the conference scheduler.
`Core`
`getCore()`
Gets the `Core` from a `ConferenceScheduler` object.
`ConferenceInfo`
`getInfo()`
Returns the `ConferenceInfo` currently set in this scheduler.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`void`
`removeListener(ConferenceSchedulerListener listener)`
`void`
`sendInvitations(ChatRoomParams chatRoomParams)`
Deprecated.
`void`
`sendInvitations(ConferenceParams conferenceParams)`
Sends an invitation to the scheduled conference to each participant by chat,
using given conference params to use/create the chat room in which to send it.
`void`
`setAccount(Account account)`
Sets the `Account` to use for the conference scheduler.
`void`
`setInfo(ConferenceInfo conferenceInfo)`
Sets the `ConferenceInfo` to use to create/update the conference, which
will be done right away.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`

## Method Details

### getAccount

Account getAccount()
Gets the `Account` that is used for the conference scheduler.

Returns:
  The selected `Account` for the call, or null if none has been
  selected.

### setAccount

void setAccount(Account account)
Sets the `Account` to use for the conference scheduler.
warning: The `ConferenceScheduler` doesn't keep a reference to the
account; therefore, the application must guarantee that the `Account` has
been added to the list held by the core prior to calling this function.

Parameters:
  `account` - The `Account` to use, or null if none has been selected.

### getCore

Core getCore()
Gets the `Core` from a `ConferenceScheduler` object.

Returns:
  the `Core` object.

### getInfo

ConferenceInfo getInfo()
Returns the `ConferenceInfo` currently set in this scheduler.

Returns:
  the currently configured `ConferenceInfo` or null if none is set.

### setInfo

void setInfo(ConferenceInfo conferenceInfo)
Sets the `ConferenceInfo` to use to create/update the conference, which
will be done right away.

Parameters:
  `conferenceInfo` - the `ConferenceInfo` object to use to start
  creating/updating the client conference.

### cancelConference

void cancelConference(ConferenceInfo conferenceInfo)
Cancel the conference linked to the `ConferenceInfo` provided as
argument.

Parameters:
  `conferenceInfo` - the `ConferenceInfo` object to linked to the
  conference to cancel.

### sendInvitations

@Deprecated void sendInvitations(ChatRoomParams chatRoomParams)
Deprecated.
Sends an invitation to the scheduled conference to each participant by chat,
using given chat rooms params to use/create the chat room in which to send it.

Parameters:
  `chatRoomParams` - the `ChatRoomParams` object to use to use/create
  the `ChatRoom` that will be used to send the invite.
  deprecated: 28/08/2024 Use `sendInvitations(org.linphone.core.ChatRoomParams)` instead.

### sendInvitations

void sendInvitations(ConferenceParams conferenceParams)
Sends an invitation to the scheduled conference to each participant by chat,
using given conference params to use/create the chat room in which to send it.

Parameters:
  `conferenceParams` - the `ConferenceParams` object to use to
  use/create the `ChatRoom` that will be used to send the invite.

### addListener

void addListener(ConferenceSchedulerListener listener)

### removeListener

void removeListener(ConferenceSchedulerListener listener)

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`